#include <ros/ros.h>
#include "amr_comunication/vda_5050/vda_5050_connector.h"

std::shared_ptr<amr_comunication::VDA5050Connector> client;

void TestOrderWorker()
{

}

int main(int argc, char** argv) {
  // Initialize the ROS node
  ros::init(argc, argv, "test_imr_nova_control");
  ros::start();

  client = std::make_shared<amr_comunication::VDA5050Connector>();
  client->execute_order_ = TestOrderWorker;
  ros::spin();
  client.reset();
  return 0;
}